@font-face {
    font-family: "AlarmClock";
    src: url("/assets/fonts/alarm\ clock.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
  }

body{
    /* background-color: #6495ED; */
    background-color: #87CEFA;
    margin: 0;
}

/* .about-text{
    position: fixed;
    top: 0;
    margin-top: 0;
    margin: 0.5%;
    color: rgb(161, 231, 255);
    z-index: -1;

    p{
        font-size: 50px;
        font-family: Arial, Helvetica, sans-serif;
        margin: 0;
    }
} */

/* Default styles for .about-text */
.about-text {
    position: fixed;
    top: 0;
    margin-top: 0;
    color: rgb(161, 231, 255);
    z-index: -1;
    opacity: 1;
    transition: opacity 0.5s ease, transform 0.5s ease; /* Smooth transition */

    overflow: hidden;
    width: 100%;
    height: 100%;

    p{
        font-size: 50px;
        font-family: Arial, Helvetica, sans-serif;
        margin: 0;
        padding: 0.5% 1% 0.5% 0.5%;
    }

}

/* Active state for .about-text */
.about-text.active {
    z-index: 100; /* Bring to the front */
    overflow-y: scroll!important;
}

/* Blur effect for everything except .about-text */
body.blur > *:not(.about-text) {
    filter: blur(25px);
}

#got-this{
    display: inline-flex!important;
}

.context-bodee{
    display: flex;
    justify-content: center;
}

.army{
    width: 100%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.home-btn{
    display: inline-block;
    position: fixed;
    bottom: 5%;
    background-color: white;
    color: black;
    margin: 0 auto;
    padding: 5px;
    border: solid;
    border-radius: 5px;
    text-decoration: none;
}

.army video{
    width: 20%;
}

.update-wrapper{
    margin: 0.5%;
    color: rgb(92, 129, 141);
}

.options-wrapper{
    position: fixed;
    top: 0;
    display: flex;
    width: 100%;
    justify-content: center;
    padding-top: 1%;
    z-index: 10;
}

#map{
    position: fixed;
    top: 50px;
}

.draggable-me{
    margin: 1%;
    position: absolute;
    right: 0;
    bottom: 0;
    width: 60px; 
    height: 50px; 
    cursor: grab;
    /* border-radius: 20%; */
    transition: left 2s ease, top 2s ease, right 2s ease, bottom 2s ease;
    z-index: 345678;
}

.draggable-me:hover{
    border: solid 0.5px;
    /* background-color: yellow; */
}

.draggable-me:active {
    cursor: grabbing;
}

.drop-indicator {
    position: absolute;
    width: 15px;
    height: 15px;

    border-radius: 50%;
    pointer-events: none;
    display: none;

    background-color: rgb(17, 193, 17);
    /* opacity: 0.7; */
    box-shadow: 0px 0px 24px 16px rgba(0,128,0,0.82);
    -webkit-box-shadow: 0px 0px 24px 16px rgba(0,128,0,0.82);
    -moz-box-shadow: 0px 0px 24px 16px rgba(0,128,0,0.82);
}

.droppableDiv{
    width: 99.5%;
    height: 99%;
    top: 0;
    position: absolute;
    background: transparent; 
    border: 5px solid green;
}

video{
    width: 100%;
}

.USA,
.EU{
    /* fill: #808080; */
    fill: #B0C4DE;
}

.USA path,
.EU path{
    /* stroke: black!important; */
    stroke-miterlimit:15.36; 
    stroke-width:0.8px!important;
    transition: stroke lightgrey ease; /* Add transition for smooth stroke width change */
}

#USA{
    background-color: yellow;
}

#USA img{
    width: 100%;
    height: 100%;
    /* background-color: blue; */
}

#EU{
    position: relative;
    display: block;
    width: 100%;
    /* height: 100%; */
    height: 1000px;
    /* background-color: blue; */
}

#EU img{
    width: 100%;
    height: 100%;
}

.plot-wrapper{
    display: flex;
}

.plot {
    background-color: yellow;
    width: 200px;
    position: relative;
}

.countdown-wrapper {
    position: fixed;
    top: 5%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.countdown{
    font-family: "AlarmClock";
    font-size: 30px;
    position: relative;
    min-width: 350px;
    width: auto;
    display: block;
    text-align: center;
    padding: 5px;
    margin-bottom: 3px;
    color: red;
    /* background-color: lightgrey; */
    border-radius: 20px;
}

path {
    transition: stroke 1s ease; /* Add transition for smooth stroke color change */
}

.legend{
    border: solid;
    padding: 5px;
    background-color: white;
    display: flex;
    position: fixed;
    bottom: 0;
    left: 0;
    margin: 1%;

    span{
        border-bottom: solid;
    }

    .margin-top{
        margin-top: 5px;
    }
}

.dict-block{
    display: flex;
    font-size: 10px;
}

.dict-block p{
    padding: 0 5px;
    margin: 1px;
}

.black-path p:first-child{
    background-color: black;
}

.green-path p:first-child{
    background-color: green;
    color: green;
}

.blink-path p:first-child{
    background-color: green;
    color: transparent;
    animation: colorChange2 2s infinite, shine 2s infinite;
}

.light-path p:first-child{
    background-color: lightgrey;
    color: transparent;
}

.clock p:first-child{
    background-color: black;
    color: red;
    font-family: "AlarmClock";
}

/* alarming animation */
@keyframes colorChange {
    0% {
        fill: #F5DEB3;
    }
    50% {
        fill: #93ff2d;
    }
    100% {
        fill: #F5DEB3;
    }
}

@keyframes colorChange2 {
    0% {
        background-color: green;
    }
    50% {
        background-color: #93ff2d;
    }
    100% {
        background-color: green;
    }
}

@keyframes shine {
    0% {
        stroke: rgba(255, 255, 255, 0);
        stroke-width: 0;
    }
    50% {
        stroke: rgba(255, 255, 255, 1);
        stroke-width: 2px;
        filter: drop-shadow(0 0 10px #93ff2d) drop-shadow(0 0 30px #93ff2d)
        drop-shadow(0 0 50px #93ff2d);
    }
    100% {
        stroke: rgba(255, 255, 255, 0);
        stroke-width: 0;
    }
}

/* path.bosnia {
    animation: colorChange 2s infinite, shine 2s infinite;
    transform-origin: center;
} */

